#include <iostream>
using namespace std;
int main() {
int n,k,a[20000],x;
cin>>n>>k;
for(int i=0;i<n;i++){
  cin>>a[i];
}
for(int i=0;i<n;i++){
  if(a[i]==k){
    x=i+1;
    if(x==n){
      x=0;
    }
    break;
  }
}
cout<<a[x];
}